package com.jxdinfo.hussar.core.bouncycastle.asn1;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.jxdinfo.hussar.core.bouncycastle.asn1.ASN1SequenceParser;
import com.jxdinfo.hussar.core.bouncycastle.asn1.ASN1StreamParser;
import com.jxdinfo.hussar.core.bouncycastle.asn1.DEREncodable;
import com.jxdinfo.hussar.core.bouncycastle.asn1.DERObject;
import com.jxdinfo.hussar.core.bouncycastle.asn1.DERSequence;
import java.io.IOException;

public class DERSequenceParser implements ASN1SequenceParser {
  private ASN1StreamParser synchronized;
  
  public DERObject getLoadedObject() throws IOException {
    return (DERObject)new DERSequence(this.synchronized.final());
  }
  
  DERSequenceParser(ASN1StreamParser aSN1StreamParser) {
    this.synchronized = aSN1StreamParser;
  }
  
  public DERObject getDERObject() {
    return getLoadedObject();
  }
  
  public DEREncodable readObject() throws IOException {
    return this.synchronized.readObject();
  }
}
